PetRoundCounter = LibStub("AceAddon-3.0"):NewAddon("PetRoundCounter", "AceConsole-3.0", "AceEvent-3.0", 'LibClass-2.0');
local L = LibStub("AceLocale-3.0"):GetLocale("PetRoundCounter")

function PetRoundCounter:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("PetRoundCounterDB", defaults, true)
	roundcount = 1;
	proundcount = 1;
	PetRoundCounterFrameTRoundLabel:SetText(L["Total Rounds:"])
	PetRoundCounterFramePRoundLabel:SetText(L["Rounds since Pet switch:"])
	PetRoundCounterFrameOoELabel:SetText(L["(own or enemy)"])
end

function PetRoundCounter:OnEnable()
	print("|cAA00CCFFPetRoundCounter |rVersion: |cAA00CCFF0.1 |rloaded!");
	self:RegisterEvent('PET_BATTLE_OPENING_START')
	self:RegisterEvent('PET_BATTLE_PET_CHANGED')
	self:RegisterEvent('PET_BATTLE_PET_ROUND_RESULTS')
	self:RegisterEvent('PET_BATTLE_OVER')
end

function PetRoundCounter:PET_BATTLE_OPENING_START()
	PetRoundCounterFrame:Show();
end

function PetRoundCounter:PET_BATTLE_PET_CHANGED()
	proundcount = 1;
	PetRoundCounterFramePCounterLabel:SetText(proundcount);
end

function PetRoundCounter:PET_BATTLE_PET_ROUND_RESULTS(_, round)
	troundcount = roundcount + round;
	--self:Print(troundcount);
	PetRoundCounterFrameTCounterLabel:SetText(troundcount);

	proundcount = proundcount + 1
	--print(proundcount);
	PetRoundCounterFramePCounterLabel:SetText(proundcount);
end

function PetRoundCounter:PET_BATTLE_OVER()
	PetRoundCounterFrame:Hide();
	proundcount = 1;
	PetRoundCounterFramePCounterLabel:SetText(proundcount);
	PetRoundCounterFrameTCounterLabel:SetText("1");
end